# include/CameraEGLStreamConsumer.h File Reference

`#include <EGL/egl.h>`
`#include <EGL/eglext.h>`

Go to the source code of this file.

## Classes

class | CameraEGLStreamConsumer
| A Consumer object maintains a consumer connection to an EGLStream and is used to acquire and release dmabuf Fd from the stream. More...

## Enumerations

enum | CONSUMER_STATUS { CONSUMER_STATUS_OK, CONSUMER_STATUS_INVALID_PARAMS, CONSUMER_STATUS_INVALID_SETTINGS, CONSUMER_STATUS_UNAVAILABLE, CONSUMER_STATUS_OUT_OF_MEMORY, CONSUMER_STATUS_UNIMPLEMENTED, CONSUMER_STATUS_TIMEOUT, CONSUMER_STATUS_CANCELLED, CONSUMER_STATUS_DISCONNECTED, CONSUMER_STATUS_COUNT }

## Enumeration Type Documentation

enum CONSUMER_STATUS

Enumerator:

  CONSUMER_STATUS_OK | Function succeeded.
  CONSUMER_STATUS_INVALID_PARAMS | The set of parameters passed was invalid.
  CONSUMER_STATUS_INVALID_SETTINGS | The requested settings are invalid.
  CONSUMER_STATUS_UNAVAILABLE | The requested device is unavailable.
  CONSUMER_STATUS_OUT_OF_MEMORY | An operation failed because of insufficient available memory.
  CONSUMER_STATUS_UNIMPLEMENTED | This method has not been implemented.
  CONSUMER_STATUS_TIMEOUT | An operation timed out.

  CONSUMER_STATUS_CANCELLED

  The capture was aborted.
  See also:
    ICaptureSession::cancelRequests()

  CONSUMER_STATUS_DISCONNECTED | The stream or other resource has been disconnected.
  CONSUMER_STATUS_COUNT |

Definition at line 17 of file CameraEGLStreamConsumer.h.